# Scansion - XMPP testing tool

Scansion executes simple scripts containing XMPP stanzas. It sends stanzas
in the script, and awaits the response, and verifies it matches what the
script expects.

You can find some example scripts in the `scripts/` directory.

## Setup

### Requirements

Scansion requires:

- Lua 5.2
- Verse
- LuaExpat
- LuaCJSON
- LuaSec
- LuaSocket
- LuaFileSystem (optional)

If these are present, a simple 'make' and 'sudo make install' should suffice to install scansion to `/usr/local/bin/`.

### Docker

A Dockerfile is also provided, to allow you to build and run scansion inside a clean environment with all dependencies
installed already.

First, build the image:

```
docker build -t scansion .
```

To run it with a directory of test scripts in ./spec/scansion:

```
docker run -v$PWD/spec/scansion:/scripts scansion
```

To run it as a web server:

```
docker run -p 8007:8007 -v$PWD/spec/scansion:/scripts scansion --serve

```

